var dates = require("../app/dates.js");
var expect = require("chai").expect;

describe("Tests de l'application de calcul des dates", function () {
	describe("Test du calcul de la date actuelle+1000 jours", function () {
		it("ajoute 1000 jours au 11 décembre 2016", function () {
			var dateTest = new Date("2016-12-11");
			var date1000 = dates.date1000(dateTest);
			var dateTest1000 = new Date("2019-09-07");
			expect(dates.dateLisible(date1000)).to.equal(dates.dateLisible(dateTest1000));
		});
	});
		
	describe("Test de l'affichage d'une date francisée", function () {
		it("affiche la date au format 11 12 2016", function () {
			var dateTest = new Date("2016-12-10");
			expect(dates.dateLisible(dateTest)).to.equal("11 12 2016");
		});		
	});
});